package com.ruoyi.ems.service;

import java.util.List;
import java.util.Set;

import com.ruoyi.ems.domain.AreaBuildingZoning;

/**
 * 建筑区域划分Service接口
 *
 * @author ruoyi
 * @date 2024-07-09
 */
public interface IAreaBuildingZoningService {
    /**
     * 查询建筑区域划分
     *
     * @param id 建筑区域划分主键
     * @return 建筑区域划分
     */
    AreaBuildingZoning selectAreaBuildingZoningById(Long id);

    /**
     * 查询建筑区域划分
     *
     * @param code 建筑区域划分code
     * @return 建筑区域划分
     */
    AreaBuildingZoning selectAreaBuildingZoningByCode(String code);

    /**
     * 查询建筑区域划分
     *
     * @param codes 建筑区域划分code list
     * @return 建筑区域划分
     */
    List<AreaBuildingZoning> selectByCodes(Set<String> codes);

    /**
     * 查询建筑区域划分列表
     *
     * @param areaBuildingZoning 建筑区域划分
     * @return 建筑区域划分集合
     */
    List<AreaBuildingZoning> selectAreaBuildingZoningList(AreaBuildingZoning areaBuildingZoning);

    /**
     * 查询建筑区域下的分区
     * @param buildingCode 建筑code集合
     * @return 建筑区域划分集合
     */
    List<AreaBuildingZoning> selectZoningByBuilding(String buildingCode);

    /**
     * 查询建筑区域下的分区
     * @param buildingCodes 建筑code集合
     * @return 建筑区域划分集合
     */
    List<AreaBuildingZoning> selectZoningByBuildings(List<String> buildingCodes);

    /**
     * 新增建筑区域划分
     *
     * @param areaBuildingZoning 建筑区域划分
     * @return 结果
     */
    int insertAreaBuildingZoning(AreaBuildingZoning areaBuildingZoning);

    /**
     * 修改建筑区域划分
     *
     * @param areaBuildingZoning 建筑区域划分
     * @return 结果
     */
    int updateAreaBuildingZoning(AreaBuildingZoning areaBuildingZoning);

    /**
     * 批量删除建筑区域划分
     *
     * @param ids 需要删除的建筑区域划分主键集合
     * @return 结果
     */
    int deleteAreaBuildingZoningByIds(Long[] ids);

    /**
     * 删除建筑区域划分信息
     *
     * @param id 建筑区域划分主键
     * @return 结果
     */
    int deleteAreaBuildingZoningById(Long id);
}
